# Individual Shrub detection and shrub crown delineation using point cloud and Canopy Height Model (CHM) based algorithms.

* This sub-directory contains necessary code and materials for automated individual shrub detection using functions from the `lidR` and `ForestTools` R packages. 
* The code developed for this aspect of the project is an exploratory approach and thus is only applied to a subset of the study site. 
* For more details about the project, please refer our manuscript published in [Ecosphere](https://esajournals.onlinelibrary.wiley.com/journal/21508925):
  + [![Static Badge](https://img.shields.io/badge/DOI%3A%20-https%3A%2F%2Fdoi.org%2F10.1002%2Fecs2.4877-blue?style=flat)](https://doi.org/10.1002/ecs2.4877)


![Isometric view of Variable Window Filter-based Individual Shrub Delineation (polyline) and Clipped Point Cloud Representing Individual Shrub Point Cloud](Subset_CHM_AutomatedShrubDetection/Figures/VWF_DelineationsISO.bmp)  

<p><em>Isometric view of Variable Window Filter-based Individual Shrub Delineation (polyline) and Clipped Point Cloud Representing Individual Shrub Point Cloud.</em></p>  

-----------------------------
[![DOI](https://zenodo.org/badge/553770123.svg)](https://zenodo.org/doi/10.5281/zenodo.10309158)
----------------------------------------------------------
### Code developed by:
Abhinav Shrestha  
Remote Sensing and Geospatial Specialist  
Federal Contractor  
[Geospatial Technology and Applications Center (GTAC)](https://www.fs.usda.gov/about-agency/gtac), [USDA Forest Service](https://www.fs.usda.gov/)  
Salt Lake City, UT

Contact information: 
* abhinav.shrestha96@gmail.com 
* [Academic website]( https://abhinavshrestha-41.github.io/)  
* [GitHub](https://github.com/abhinavshrestha-41)

<br>

## Principle Investigator
Georgia R. Harrison, PhD  
Postdoctoral Ecologist  
[USDA-ARS Jornada Experimental Range](https://jornada.nmsu.edu/)  
Las Cruces, New Mexico, USA  
[georgia.harrison@usda.gov](mailto:georgia.harrison@usda.gov)
