# Automated shrub detection using CHM and point cloud based algorithms

**A detailed outline of the implementation of individual shrub detection algorithms including the generation of CHM raster from point cloud can be found:** 
* In the .pdf file [`PC_CHM_IndvShrubDetection.pdf`](PC_CHM_IndvShrubDetection.pdf) or in the .rmd file [`PC_CHM_IndvShrubDetection.Rmd`](PC_CHM_IndvShrubDetection.Rmd) in this subdirectory. 
* The [`PC_CHM_IndvShrubDetection.html`](PC_CHM_IndvShrubDetection.html) is an HTML version of the .pdf file that contains an additional feature where users can interact with the 3D point cloud. *Download this html file to use the interactive 3D plot of the point cloud with shrub segmentation.  

<br>

## References

* Creating a CHM from point cloud (TUTORIAL): [https://r-lidar.github.io/lidRbook/chm.html](https://r-lidar.github.io/lidRbook/chm.html)
* Publication on tutorial for individual tree detection using point cloud data:
  + Main paper: [https://www.degruyter.com/document/doi/10.1515/geo-2020-0290/html?lang=en](https://www.degruyter.com/document/doi/10.1515/geo-2020-0290/html?lang=en)
  + Tutorial in supplementary material: [https://www.degruyter.com/document/doi/10.1515/geo-2020-0290/downloadAsset/suppl/geo-2020-0290_sm.pdf](https://www.degruyter.com/document/doi/10.1515/geo-2020-0290/downloadAsset/suppl/geo-2020-0290_sm.pdf)

Roussel, J.-R., Auty, D., Coops, N.C., Tompalski, P., Goodbody, T.R.H., Meador, A.S., Bourdon, J.-F., de Boissieu, F., Achim, A., 2020. lidR: An R package for analysis of Airborne Laser Scanning (ALS) data. Remote Sensing of Environment 251, 112061. https://doi.org/10.1016/j.rse.2020.112061  

Plowright, A., Roussel, J.-R., 2021. ForestTools: Analyzing Remotely Sensed Forest Data.  

Pebesma, E., 2018. Simple Features for R: Standardized Support for Spatial Vector Data. The R Journal 10, 439–446.
